Bug 234759 - devel/valgrind: add missing field to stat64 struct and fix debug logging
Summary: devel/valgrind: add missing field to stat64 struct and fix debug logging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-08 17:55 UTC by Roman Bogorodskiy
Modified: 2019-02-24 13:58 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (bdrewery)


Attachments
Proposed fix (2.29 KB, patch)
2019-01-08 17:55 UTC, Roman Bogorodskiy
no flags Details | Diff
Proposed fix (3.39 KB, patch)
2019-01-08 17:56 UTC, Roman Bogorodskiy
no flags Details | Diff
Proposed fix (3.70 KB, patch)
2019-01-08 18:05 UTC, Roman Bogorodskiy
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Roman Bogorodskiy freebsd_committer 2019-01-08 17:56:36 UTC
Created attachment 200924 [details]
Proposed fix
Comment 2 Roman Bogorodskiy freebsd_committer 2019-01-08 18:05:34 UTC
Created attachment 200925 [details]
Proposed fix
Comment 3 Roman Bogorodskiy freebsd_committer 2019-01-31 11:18:24 UTC
Ping? I tentatively plan to commit it this weekend as there were no response in more than 2 weeks.
Comment 4 commit-hook freebsd_committer 2019-02-24 13:57:47 UTC
A commit references this bug:

Author: novel
Date: Sun Feb 24 13:56:45 UTC 2019
New revision: 493761
URL: https://svnweb.freebsd.org/changeset/ports/493761

Log:
  devel/valgrind: add missing field to stat64 struct and fix debug logging

   - Add missing st_birthtim field to vki_stat64 struct [2]
   - Fix debug logging (valgrind -v -v -v -d -d -d),
     based on upstream commits:
      * https://sourceware.org/git/?p=valgrind.git;a=commit;h=6b92194ac
      * https://sourceware.org/git/?p=valgrind.git;a=commit;h=f06f0f718
   - Bump PORTREVISION

  PR:		234759 [1]
  Submitted by:	novel [1]
  Submitted by:	markj [2]
  Approved by:	maintainer timeout

Changes:
  head/devel/valgrind/Makefile
  head/devel/valgrind/files/extra-patch-ino64
  head/devel/valgrind/files/patch-coregrind-m_debuglog.c
Comment 5 Roman Bogorodskiy freebsd_committer 2019-02-24 13:58:11 UTC
Patch committed with maintainer timeout.